# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Static Public Member Functions

# vl::VisualizationLibrary Class Reference

Used to initialize/shutdown VisualizationLibrary and to access important global data. More...

`#include <VisualizationLibrary.hpp>`

List of all members.

## Static Public Member Functions

static VLGRAPHICS_EXPORT void | init (bool log_info=true)
| Initializes VLCore and VLGraphics libraries.
static VLGRAPHICS_EXPORT void | shutdown ()
| Releases all the resources acquired by VLCore and VLGraphics.
static VLCORE_EXPORT void | initCore (bool log_info=true)
| Initializes only VLCore library.
static VLCORE_EXPORT void | shutdownCore ()
| Releases all the resources acquired by Visualization Library Core Call shutdownCore() instead of shutdown() ONLY when using VLCore alone.
static VLCORE_EXPORT bool | isCoreInitialized ()
| Returns true if VLCore library is initialized and shutdown has not been called.
static VLGRAPHICS_EXPORT bool | isGraphicsInitialized ()
| Returns true if VLGraphics library is initialized and shutdown has not been called.
static VLCORE_EXPORT const char * | versionString ()
| Returns the Visualization Library's version string.

## Detailed Description

Used to initialize/shutdown VisualizationLibrary and to access important global data.

Definition at line 43 of file VisualizationLibrary.hpp.

## Member Function Documentation

void VisualizationLibrary::init | ( | bool | log_info = `true` ) | `[static]`

Initializes VLCore and VLGraphics libraries.

Call initCore() instead of init() when using only VLCore.

Definition at line 300 of file init_graphics.cpp.

References initCore().

Referenced by main().

void VisualizationLibrary::shutdown | ( | ) | `[static]`

Releases all the resources acquired by VLCore and VLGraphics.

Call shutdownCore() instead of shutdown() when using only VLCore.

Definition at line 306 of file init_graphics.cpp.

References vl::Log::debug(), and shutdownCore().

Referenced by vlGLUT::atexit_visualization_library_shutdown().

void VisualizationLibrary::initCore | ( | bool | log_info = `true` ) | `[static]`

Initializes only VLCore library.

Call initCore() instead of init() ONLY when using VLCore alone.

Definition at line 190 of file init_core.cpp.

References vl::Log::bug(), vl::FileSystem::directories(), vl::ref< T >::get(), vl::globalSettings(), vl::Log::logSystemInfo(), vl::registerLoadWriter(), vl::setDefLogger(), and VL_CHECK.

Referenced by init().

void VisualizationLibrary::shutdownCore | ( | ) | `[static]`

Releases all the resources acquired by Visualization Library Core Call shutdownCore() instead of shutdown() ONLY when using VLCore alone.

Definition at line 256 of file init_core.cpp.

References vl::globalSettings(), NULL, and vl::Log::print().

Referenced by shutdown().

bool VisualizationLibrary::isCoreInitialized | ( | ) | `[static]`

Returns true if VLCore library is initialized and shutdown has not been called.

Definition at line 100 of file init_core.cpp.

bool VisualizationLibrary::isGraphicsInitialized | ( | ) | `[static]`

Returns true if VLGraphics library is initialized and shutdown has not been called.

Definition at line 313 of file init_graphics.cpp.

Referenced by vl::FramebufferObject::removeAttachment().

const char * VisualizationLibrary::versionString | ( | ) | `[static]`

Returns the Visualization Library's version string.

Definition at line 102 of file init_core.cpp.

The documentation for this class was generated from the following files:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlCore/VisualizationLibrary.hpp
- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlCore/init_core.cpp
- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/init_graphics.cpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:44:16.
Permission is granted to use this page to write and publish articles regarding Visualization Library.